Skip to main content
GET
List ownership recommendations

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

entities
string[]

Only recommendations for these entities. A comma-delimited list of entity tags or CIDs, at most 1000.

Entity identifier - can be a tag or CID

teams
string[]

Only recommendations of these teams. A comma-delimited list of team tags or CIDs, at most 1000.

Entity identifier - can be a tag or CID

confidence
enum<string>

Only this confidence

Available options:
HIGH,
LOW
status
enum<string>
default:OPEN

OPEN; PENDING for accepted ones waiting on a GitOps pull request; or REJECTED for rejected ones that can be restored

Available options:
OPEN,
PENDING,
REJECTED
unownedOnly
boolean
default:false

Only entities that have no team owner yet

pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

Response

A page of ownership recommendations

A page of ownership recommendations

page
integer<int32>
required

Current page number, 0-indexed

recommendations
object[]
required

Ownership recommendations for the current page

total
integer<int32>
required

Total number of results

totalPages
integer<int32>
required

Total number of pages